Bug 513597

Summary: UMS:R420:X800 Colour palette borked on ATI Radeon X800 in 16bpp mode
Product: [Fedora] Fedora Reporter: Joachim Frieben <jfrieben>
Component: xorg-x11-drv-atiAssignee: Jerome Glisse <jglisse>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 13CC: jglisse, kmoriwak, xgl-maint
Target Milestone: ---Keywords: Reopened, Triaged
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard: card_R420/M
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-07 08:48:07 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
Custom xorg.conf for ATI Radeon X800 and 21" CRT HP A4576A
none
Xorg.0.log for ATI Radeon X800 and 21" CRT HP A4576A
none
Xorg.0.log for ATI Radeon X800 and 21" CRT HP A4576A at 15bpp
none
Xorg.0.log for ATI Radeon X800 and 21" CRT HP A4576A on F11 w/updates none

Description Joachim Frieben 2009-07-24 08:27:11 EDT
Description of problem:
When choosing a colour depth of 16, then the GNOME desktop is very dark and colours are distorted. Only the mouse cursor visible on top of it exhibits normal brightness and colours.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.12.2-19.fc12.1.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Start GNOME session.
  
Actual results:
Desktop and application windows appear dark and the colour palette looks unbalanced.

Expected results:
Normal aspect of GNOME desktop.

Additional info:
Already observed for xorg-x11-drv-ati-6.12.2-19.fc12.x86_64.
Comment 1 Joachim Frieben 2009-07-24 08:31:01 EDT
The GDM login screen shows the same effect.
Comment 2 Joachim Frieben 2009-07-24 08:31:48 EDT
Created attachment 355011 [details]
Custom xorg.conf for ATI Radeon X800 and 21" CRT HP A4576A
Comment 3 Joachim Frieben 2009-07-24 08:32:26 EDT
Created attachment 355012 [details]
Xorg.0.log for ATI Radeon X800 and 21" CRT HP A4576A
Comment 4 Joachim Frieben 2009-08-05 15:40:49 EDT
Normal colours can be recovered in 16 bpp mode by enabling KMS [which is again possible as of xorg-x11-server-Xorg-1.6.99-26.20090804.fc12.x86_64].
Comment 5 Joachim Frieben 2009-08-11 03:41:47 EDT
Created attachment 356990 [details]
Xorg.0.log for ATI Radeon X800 and 21" CRT HP A4576A at 15bpp

For 15bpp, colours are correct [as they are for 24bpp].
Comment 6 Joachim Frieben 2009-09-09 01:18:18 EDT
Created attachment 360161 [details]
 Xorg.0.log for ATI Radeon X800 and 21" CRT HP A4576A on F11 w/updates

Colours are correct at 16bpp on a fully updated F11 system including packages:
- kernel-2.6.30.5-43.fc11.i586
- mesa-*-7.6-0.1.fc11.i586
- xorg-x11-drv-ati-6.12.2-18.fc11.i586
- xorg-x11-server-Xorg-1.6.3-4.fc11.i586
Comment 7 Matěj Cepl 2009-09-09 06:16:36 EDT
Thanks for letting us know.
Comment 8 Joachim Frieben 2009-09-09 06:55:15 EDT
(In reply to comment #7)
The previous comment was meant to inform you that F11 is -not- affected by this issue in contrast with F12/rawhide.
Comment 9 Matěj Cepl 2009-09-09 09:53:09 EDT
sorry
Comment 10 Joachim Frieben 2009-10-02 03:24:06 EDT
No improvement for current F12-rawhide:
- xorg-x11-drv-ati-6.13.0-0.6.20090929git7968e1fb8.fc12.x86_64
- xorg-x11-server-Xorg-1.6.99.903-1.fc12.x86_64
Comment 11 Dave Airlie 2009-10-08 07:03:17 EDT
can you try with kernel 2.6.31.1-65 from koji? and ati -7 from rawhide?
Comment 12 Joachim Frieben 2009-10-08 10:40:38 EDT
No improvement for latest builds:
- kernel-2.6.31.1-65.fc12.x86_64
- xorg-x11-drv-ati-6.13.0-0.8.20091006git457646d73.fc12.x86_64
Comment 13 Matěj Cepl 2009-11-05 12:13:44 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 14 Joachim Frieben 2009-11-05 20:24:00 EST
No improvement for the latest "rawhide" builds:
- kernel-2.6.31.5-122.fc12.x86_64
- xorg-x11-drv-ati-6.13.0-0.8.20091006git457646d73.fc12.x86_64
- xorg-x11-server-Xorg-1.7.1-6.fc12.x86_64
which is not surprising since the Radeon driver hasn't been updated recently.
Comment 15 Jerome Glisse 2009-11-13 04:11:51 EST
Joachim do you have issue with kms ? We are focussing on fixing KMS issue.
Comment 16 Joachim Frieben 2009-11-13 04:43:11 EST
(In reply to comment #15)
According to comment #4, the answer is no.
Comment 17 Bug Zapper 2009-11-16 06:05:48 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Kazuo Moriwaka 2009-11-23 21:18:23 EST
In my environment (radeon driver with ES1000 at F12), this issue was reproduced.
F11 didn't have this problem.

- 1600x1200 @ 16bpp shows very dark display.
- 1280x1024 @ 24bpp shows good.
Comment 19 Joachim Frieben 2009-11-24 02:35:10 EST
(In reply to comment #18)
Can you confirm that this issue is related to kernel option "nomodeset", whereas it does not show up when KMS is enabled?
Comment 20 Kazuo Moriwaka 2009-11-24 03:01:02 EST
(In reply to comment #19)

No, it doesn't related to "nomodeset" option. 
I test with and without "nomodeset" with 16bpp, 
both of them showed same dark screens.
Comment 21 Bug Zapper 2010-11-04 06:42:07 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 22 Joachim Frieben 2010-12-04 10:44:48 EST
Booting the system with kernel option "nomodeset" still triggers the issue for a fully updated F13 including packages:
- kernel-2.6.34.7-61.fc13.x86_64
- xorg-x11-drv-ati-6.13.0-1.fc13.x86_64
- xorg-x11-server-Xorg-1.8.2-4.fc13.x86_64
Comment 23 Matěj Cepl 2010-12-07 07:44:55 EST
Does system work without "nomodeset", i.e. in full KMS mode? If yes, this should be WONTFIXed. nomodeset was just a crutch for situation when KMS doesn't work. If KMS works, we don't care about the crutch anymore.